export type Player = {
  id: string
  name: string
  isIdle: boolean
  score: number
}

export type Players = Array<Player>

export type Quote = {
  id: string
  quote: string
}

export type Quotes = Array<Quote>

export type Source = {
  id: string
  name: string
}

export type Sources = Array<Sources>

export type Selection = {
  id: string
}

export type Selections = Array<Selection>

export type RevelationVotes = {
  [key: string]: Array<string>
}

export type RevelationSources = {
  [key: string]: boolean
}

export type Revelations = {
  votes: RevelationVotes
  sources: RevelationSources
}

export type Round = {
  quote: string
  sources: Sources
  selections: Selections
  revelations: Revelations
}
