import { defineStore } from 'pinia'
import type { Round, Sources, Selections, RevelationVotes, RevelationSources } from '@/composables/engine.d'

export const useRoundStore = defineStore('RoundStore', {
  state: () => {
    return {
      round: {
        quote: '',
        sources: [],
        selections: [],
        revelations: {
          votes: {},
          sources: {},
        },
      } as Round,
    }
  },
  actions: {
    setRound(round: Round): void {
      round = round || {} as Round
      this.round.quote = round.quote || ''
      this.round.sources = round.sources || [] as Sources
      this.round.selections = round.selections || [] as Selections
      this.round.revelations.votes = round.revelations?.votes || {} as RevelationVotes
      this.round.revelations.sources = round.revelations?.sources || {} as RevelationSources
    },
  },
})
